# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           Linkat-release
%define product Linkat
License:        BSD 3-Clause
Group:          System/Fhs
Version:        4
Release:        5.2
Provides:       aaa_version distribution-release
Provides:       suse-release-oss = %{version}-%{release}
Provides:       suse-release = %{version}-%{release}
Provides:       product()
Provides:       product(%{product}) = 4-0
Requires:       product_flavor(%{product}) = 4-0
Obsoletes:      aaa_version
Obsoletes:      suse-release-oss <= 10.0 suse-release <= 10.1.42
Conflicts:      sles-release <= 10 sled-release <= 10 core-release <= 10
BuildRequires:  skelcd-control-Linkat skelcd-Linkat
AutoReqProv:    on
Summary:        Linkat release version files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#PreReq:         coreutils
Vendor:         linkat

%description
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%package ftp
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(ftp)
Summary:        Linkat release version files

%description ftp
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod



%files ftp
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-ftp

%package mini
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(mini)
Summary:        Linkat release version files

%description mini
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%files mini
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-mini

%package dvd
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(dvd)
Summary:        Linkat release version files

%description dvd
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%files dvd
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-dvd

%package dvd-biarch
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(dvd-biarch)
Summary:        Linkat release version files

%description dvd-biarch
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%files dvd-biarch
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-dvd-biarch

%package livecd-kde
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(livecd-kde)
Summary:        Linkat release version files

%description livecd-kde
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%files livecd-kde
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-livecd-kde

%package livecd-gnome
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(livecd-gnome)
Summary:        Linkat release version files

%description livecd-gnome
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%files livecd-gnome
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-livecd-gnome

%package usb-kde
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(usb-kde)
Summary:        Linkat release version files

%description usb-kde
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%files usb-kde
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-usb-kde

%package usb-gnome
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(usb-gnome)
Summary:        Linkat release version files

%description usb-gnome
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%files usb-gnome
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-usb-gnome

%package dvd-promo
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       product_flavor(Linkat) = 4-0
Provides:       flavor(dvd-promo)
Summary:        Linkat release version files

%description dvd-promo
This package contains the files: /etc/SuSE-release, /etc/issue,
/etc/issue.net, and /etc/products.d/openSUSE.prod

%files dvd-promo
%defattr(-,root,root)
%doc %{_defaultdocdir}/Linkat-release-dvd-promo

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo -e 'Benvingut a %{product} %{version} - Kernel \\r (\\l).\n\n' > $RPM_BUILD_ROOT/etc/issue
echo "Benvingut a %{product} %{version} - Kernel %%r (%%t)." > $RPM_BUILD_ROOT/etc/issue.net
echo "%{product} %{version} (%{_target_cpu})" > $RPM_BUILD_ROOT/etc/SuSE-release
echo VERSION = %{version} >> $RPM_BUILD_ROOT/etc/SuSE-release
echo "Have a lot of fun..." > $RPM_BUILD_ROOT/etc/motd
# Bug 404141 - /etc/YaST/control.xml should be owned by some package
mkdir -p $RPM_BUILD_ROOT/etc/YaST2/
echo $RPM_BUILD_ROOT
install -m 644 /CD1/control.xml $RPM_BUILD_ROOT/etc/YaST2/
mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/openSUSE.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product id="Linkat" schemeversion="0">
  <vendor>Generalitat de Catalunya</vendor>
  <name>Linkat</name>
  <version>4</version>
  <release>0</release>
  <arch>%{_target_cpu}</arch>
  <productline>Linkat</productline>
  <register>
    <target>Linkat 4-%{_target_cpu}</target>
    <release></release>
  </register>
  <updaterepokey>000000000</updaterepokey>
  <summary>Linkat</summary>
  <description>Linkat es una distribució de la Generalitat de Catalunya</description>
  <linguas>
    <language>ca</language>
    <language>en</language>
    <language>es</language>
  </linguas>
  <urls>
    <url name="releasenotes">http://www.suse.com/relnotes/i386/openSUSE/11.1.42/release-notes-openSUSE.rpm</url>
    <url name="smolt">http://smolt.opensuse.org/register.pl</url>
    <url name="register">http://register.novell.com/</url>
  </urls>
  <buildconfig producttheme="Linkat"/>
  <installconfig defaultlang="ca_ES" datadir="suse" descriptiondir="suse/setup/descr">
    <releasepackage name="Linkat-release" flag="EQ" version="4" />
    <distribution>Linkat</distribution>
  </installconfig>
  <runtimeconfig />
</product>
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-ftp
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-ftp/README << EOF
This package just exist just for providing the product flavor 'ftp'.
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-mini
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-mini/README << EOF
This package just exist just for providing the product flavor 'mini'.
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-dvd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-dvd/README << EOF
This package just exist just for providing the product flavor 'dvd'.
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-dvd-biarch
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-dvd-biarch/README << EOF
This package just exist just for providing the product flavor 'dvd-biarch'.
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-livecd-kde
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-livecd-kde/README << EOF
This package just exist just for providing the product flavor 'livecd-kde'.
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-livecd-gnome
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-livecd-gnome/README << EOF
This package just exist just for providing the product flavor 'livecd-gnome'.
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-usb-kde
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-usb-kde/README << EOF
This package just exist just for providing the product flavor 'usb-kde'.
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-usb-gnome
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-usb-gnome/README << EOF
This package just exist just for providing the product flavor 'usb-gnome'.
EOF
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-dvd-promo
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/Linkat-release-dvd-promo/README << EOF
This package just exist just for providing the product flavor 'dvd-promo'.
EOF

%post
#rm -rf /etc/zypp/products.d

%files
%defattr(644,root,root,755)
%config /etc/SuSE-release
# Bug 404141 - /etc/YaST/control.xml should be owned by some package
%dir /etc/YaST2/
%config /etc/YaST2/control.xml
%config /etc/motd
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
/etc/products.d
%changelog
* Tue Oct 19 2010 dlara@espherica.com
- Changed to Linkat branding
* Sat Nov 29 2008 coolo@suse.de
- sync again to fix build
* Tue Nov  4 2008 coolo@suse.de
- sync again for new flavors
* Fri Sep 26 2008 cthiel@suse.de
- sync from build service to fix build of package lists on openSUSE
* Wed Sep 17 2008 adrian@suse.de
- add flavor packages for livecds
* Wed Sep 17 2008 adrian@suse.de
- recreate spec file with product converter
  * fixes missing dependency to flavor packages
  * add updaterepokey
* Wed Sep 10 2008 ro@suse.de
- use ExclusiveArch instead of BuildArch
* Wed Sep 10 2008 schwab@suse.de
- Fix BuildArch.
* Wed Sep 10 2008 lrupp@suse.de
- use schemeversion 0
* Wed Sep 10 2008 lrupp@suse.de
- remove general tag
- remove examples
* Tue Sep  9 2008 lrupp@suse.de
- sync with
  http://en.opensuse.org/Build_Service/Product_Definition/products_file
* Fri Sep  5 2008 adrian@suse.de
- update package, use the generated spec file from OBS product
  converter using official product configuration.
  - > YaST product file is now XML.
  - > Values are not taken from .buildenv anymore, but from
    Product Defintion
* Fri Aug 15 2008 coolo@suse.de
- fix prereqs
* Tue Aug 12 2008 kkaempf@suse.de
- Remove unneeded "Provides: %%{name}-%%{version}"
- Extend .prod file with additional tags.
* Mon Aug 11 2008 kkaempf@suse.de
- Create code11 .prod file below /etc/products.d
* Mon Aug  4 2008 cthiel@suse.de
- 11.1 Alpha2
* Tue Jul 22 2008 cthiel@suse.de
- 11.1 Alpha1
* Fri Jul 18 2008 coolo@suse.de
- mark up files in /etc as config
* Thu Jul 17 2008 locilka@suse.cz
- adding /etc/YaST2/control.xml to the list of files (bnc #404141)
- adjusting build-requires to contain skelcd-control-openSUSE
* Thu Jun 26 2008 coolo@suse.de
- fixing obsoletes - this has nothing to do with core or sled
* Wed Jun 18 2008 coolo@suse.de
- alpha again
* Mon May 26 2008 coolo@suse.de
- no longer beta
* Fri May 16 2008 coolo@suse.de
- beta3 is history
* Mon May 12 2008 coolo@suse.de
- openSUSE-release-dvd and -live conflict with each other
* Sat May 10 2008 coolo@suse.de
- split out live and dvd versions (conflicts in ftp product)
- provide registerable file
* Fri May  9 2008 coolo@suse.de
- update to beta3
* Fri Apr 25 2008 coolo@suse.de
- fix license (bnc#383698)
* Wed Apr 23 2008 coolo@suse.de
- hoping to get a snapshot
* Mon Apr 14 2008 coolo@suse.de
- beta
* Tue Mar 11 2008 coolo@suse.de
- preparing for new alpha
* Thu Jan 31 2008 coolo@suse.de
- before I forget: new alpha
* Wed Jan 16 2008 coolo@suse.de
- new Alpha
* Tue Nov 27 2007 coolo@suse.de
- Misses, it's an eleven!
* Wed Oct 10 2007 coolo@suse.de
- 10.3 is history, we're targetting the next one (and yes, I'm
  sceptical so I use 10.4 till we have something written :)
* Mon Sep 17 2007 coolo@suse.de
- it's no longer beta
* Thu Sep 13 2007 coolo@suse.de
- name it beta3plus
* Fri Sep  7 2007 coolo@suse.de
- remove the list of packages again as we obsolete all packages again
* Tue Sep  4 2007 coolo@suse.de
- obsolete more packages (#293401)
* Mon Aug 27 2007 cthiel@suse.de
- Beta3
* Mon Aug 27 2007 cthiel@suse.de
- removed Obsolete: xfce4-panel-plugins since it's already handled in xfce4-panel (#304770, #298863)
* Fri Aug 17 2007 matz@suse.de
- Obsolete the gcc41 packages from the 10.2.
* Thu Aug 16 2007 cthiel@suse.de
- Beta2
- update list of obsoleted packages (since opensync was reverted to 0.22)
* Wed Aug 15 2007 coolo@suse.de
- dropping asterix completely (in the old version)
* Wed Aug 15 2007 coolo@suse.de
- dropping ant-jai too
* Thu Aug  9 2007 coolo@suse.de
- update list of obsoleted packages
* Mon Aug  6 2007 coolo@suse.de
- take out the gcc packages for now - the discussion is still going
  on
* Sun Aug  5 2007 coolo@suse.de
- Update for Beta1
- Adding a bunch of packages to be removed on update (proof of concept)
* Thu Jul 26 2007 coolo@suse.de
- Alpha7 rather
* Fri Jul 20 2007 aj@suse.de
- Alpha6plus.
* Sun Jul 15 2007 aj@suse.de
- Alpha6.
* Mon Jul  2 2007 aj@suse.de
- Alpha5plus.
* Wed Jun  6 2007 aj@suse.de
- Alpha5.
* Mon May 28 2007 aj@suse.de
- Alpha4plus.
* Thu May  3 2007 aj@suse.de
- Alpha4.
* Thu Apr 12 2007 aj@suse.de
- Alpha3plus.
* Wed Mar 28 2007 aj@suse.de
- Alpha3.
* Fri Mar 16 2007 aj@suse.de
- Alpha2plus.
* Wed Feb 28 2007 aj@suse.de
- Alpha2.
* Wed Feb 14 2007 aj@suse.de
- Skipping Alpha1 and moving to Alpha1plus.
* Fri Jan 26 2007 aj@suse.de
- Alpha0plus is it...
* Tue Jan  9 2007 aj@suse.de
- 10.3 Alpha1 is next release.
* Mon Nov 20 2006 aj@suse.de
- Not anymore beta...
- Handle core-release as well (#222617).
* Sun Nov 12 2006 aj@suse.de
- Beta2plus.
* Tue Nov  7 2006 aj@suse.de
- Beta2.
* Mon Oct 30 2006 cthiel@suse.de
- Beta1plus
* Tue Oct 17 2006 aj@suse.de
- Beta1.
- Provide/obsolete sles-release (#213058) and sled-release.
- Use versioned obsoletes (#197805).
* Sat Oct  7 2006 aj@suse.de
- Alpha5plus.
* Sat Sep 23 2006 aj@suse.de
- Alpha5.
* Tue Sep 12 2006 aj@suse.de
- Alpha4plus.
* Wed Aug 23 2006 aj@suse.de
- Alpha4.
* Wed Aug 23 2006 aj@suse.de
- Alpha3plus.
* Thu Aug 10 2006 ro@suse.de
- added get_version_number.sh to set version
* Mon Aug  7 2006 aj@suse.de
- Alpha3.
* Mon Jul 17 2006 aj@suse.de
- Rename package suse-release to openSUSE-release.
* Mon Jul 17 2006 aj@suse.de
- 10.2 Alpha2plus.
* Thu Jul  6 2006 aj@suse.de
- 10.2 Alpha2.
* Fri Jun  9 2006 adrian@suse.de
- 10.2 Alpha 1
* Mon May 22 2006 aj@suse.de
- Prepare for 10.2.
* Sat Apr  8 2006 aj@suse.de
- Remove Beta.
* Wed Mar 29 2006 aj@suse.de
- Beta9.
* Mon Mar 13 2006 lrupp@suse.de
- New Version: 10.1 (needed for content file)
* Fri Mar 10 2006 aj@suse.de
- obsolete suse-release-oss
* Thu Mar  9 2006 aj@suse.de
- Beta8.
* Mon Feb 27 2006 aj@suse.de
- Beta6.
* Fri Feb 17 2006 aj@suse.de
- Beta5.
* Fri Feb  3 2006 aj@suse.de
- Beta4.
* Wed Jan 25 2006 aj@suse.de
- Beta3.
- Remove aaa_base as build dependency.
* Sun Jan 22 2006 aj@suse.de
- Beta2.
* Wed Dec 21 2005 aj@suse.de
- Change license to GPL.
- Beta1.
* Sat Dec  3 2005 aj@suse.de
- Alpha4.
* Mon Nov 28 2005 aj@suse.de
- Alpha3plus.
* Wed Nov  9 2005 aj@suse.de
- Alpha3.
* Tue Oct 25 2005 aj@suse.de
- Alpha2plus.
* Thu Oct  6 2005 aj@suse.de
- Alpha2.
* Mon Sep 26 2005 aj@suse.de
- Alpha1.
* Tue Sep 20 2005 ro@suse.de
- up to 10.0.42
* Mon Sep  5 2005 aj@suse.de
- RC time.
* Wed Aug 24 2005 aj@suse.de
- 10.0 Beta4.
* Thu Aug 18 2005 aj@suse.de
- 10.0 beta3.
* Mon Aug  8 2005 aj@suse.de
- 10.0 beta2.
* Thu Aug  4 2005 aj@suse.de
- 10.0 beta1.
* Wed Jul 27 2005 aj@suse.de
- 10.0 preview4.
* Wed Jul 20 2005 aj@suse.de
- 10.0 preview3.
* Wed Jul 13 2005 aj@suse.de
- 10.0 preview2.
* Fri Mar 18 2005 aj@suse.de
- RC time.
* Wed Mar 16 2005 aj@suse.de
- 9.3 beta5.
* Mon Mar 14 2005 aj@suse.de
- 9.3 beta4.
* Thu Mar  3 2005 aj@suse.de
- 9.3 beta3.
* Fri Feb 25 2005 aj@suse.de
- 9.3 beta2.
* Fri Feb 18 2005 aj@suse.de
- beta1.
* Tue Feb 15 2005 ro@suse.de
- preview4
* Mon Feb  7 2005 aj@suse.de
- preview3
* Wed Jan 26 2005 aj@suse.de
- preview2.
* Sat Oct  2 2004 aj@suse.de
- Time for RC.
* Thu Sep 30 2004 ro@suse.de
- beta5
* Wed Sep 22 2004 aj@suse.de
- Beta4.
* Wed Sep 15 2004 aj@suse.de
- Beta3.
* Fri Sep 10 2004 kukuk@suse.de
- Build not as root
- Beta2
- Provide %%name-%%version for YaST2 packagemanager
* Thu Sep  2 2004 aj@suse.de
- Beta1.
* Wed Aug 25 2004 aj@suse.de
- Preview4
* Wed Aug 18 2004 aj@suse.de
- Preview3.
* Wed Aug 11 2004 aj@suse.de
- Preview2 is coming.
* Thu Feb 27 2003 ro@suse.de
-  fix version generation
* Thu Feb 27 2003 ro@suse.de
- rename to suse-release
* Sat Jul 27 2002 kukuk@suse.de
- Add /etc/motd [Bug #17264]
* Sun Feb 17 2002 ro@suse.de
- removed leading space in /etc/issue
* Thu Oct  4 2001 ro@suse.de
- marked issue* as noreplace (#11493)
* Thu Sep 27 2001 ro@suse.de
- created package containing /etc/SuSE-release, /etc/issue
  and /etc/issue.net
- provides suse-release
